Bug 1434724 - Failed to record event: This Session's transaction has been rolled back by a nested rollback() call.
Summary: Failed to record event: This Session's transaction has been rolled back by a ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-panko
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: 11.0 (Ocata)
Assignee: Julien Danjou
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-22 08:54 UTC by Yurii Prokulevych
Modified: 2017-05-17 20:11 UTC (History)
5 users (show)

Fixed In Version: openstack-panko-2.0.2-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 20:11:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
RDO 6010 None None None 2017-03-28 13:59:28 UTC
OpenStack gerrit 448560 None None None 2017-03-22 13:59:41 UTC
OpenStack gerrit 450668 None None None 2017-03-28 12:28:17 UTC

Description Yurii Prokulevych 2017-03-22 08:54:24 UTC
Description of problem:
-----------------------
Traceback in ceilometer/collectro.log on undercloud:

    2017-03-21 12:00:22.727 2712 ERROR ceilometer.dispatcher.gnocchi [-] Resource f9b39c5c-0f9e-42f3-9424-bb15eaf8f060 does not exist (HTTP 404)
    2017-03-21 12:01:07.310 2712 ERROR panko.storage.impl_sqlalchemy [-] Failed to record event: This Session's transaction has been rolled back by a nested rollback() call.  To begin a new transaction, issue Session.rollback() first.
    2017-03-21 12:01:07.310 2712 ERROR panko.storage.impl_sqlalchemy Traceback (most recent call last):
    2017-03-21 12:01:07.310 2712 ERROR panko.storage.impl_sqlalchemy   File "/usr/lib/python2.7/site-packages/panko/storage/impl_sqlalchemy.py", line 180, in record_events
    2017-03-21 12:01:07.310 2712 ERROR panko.storage.impl_sqlalchemy     event_model.event_type, session=session)
    2017-03-21 12:01:07.310 2712 ERROR panko.storage.impl_sqlalchemy   File "/usr/lib/python2.7/site-packages/panko/storage/impl_sqlalchemy.py", line 164, in _get_or_create_event_type
    2017-03-21 12:01:07.310 2712 ERROR panko.storage.impl_sqlalchemy     et = self._get_or_create_event_type(event_type, session)
    2017-03-21 12:01:07.310 2712 ERROR panko.storage.impl_sqlalchemy   File "/usr/lib/python2.7/site-packages/panko/storage/impl_sqlalchemy.py", line 157, in _get_or_create_event_type
    2017-03-21 12:01:07.310 2712 ERROR panko.storage.impl_sqlalchemy     with session.begin(subtransactions=True):
    2017-03-21 12:01:07.310 2712 ERROR panko.storage.impl_sqlalchemy   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 737, in begin
    2017-03-21 12:01:07.310 2712 ERROR panko.storage.impl_sqlalchemy     nested=nested)
    2017-03-21 12:01:07.310 2712 ERROR panko.storage.impl_sqlalchemy   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 235, in _begin
    2017-03-21 12:01:07.310 2712 ERROR panko.storage.impl_sqlalchemy     self._assert_active()
    2017-03-21 12:01:07.310 2712 ERROR panko.storage.impl_sqlalchemy   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 218, in _assert_active
    2017-03-21 12:01:07.310 2712 ERROR panko.storage.impl_sqlalchemy     "This Session's transaction has been rolled back "
    2017-03-21 12:01:07.310 2712 ERROR panko.storage.impl_sqlalchemy InvalidRequestError: This Session's transaction has been rolled back by a nested rollback() call.  To begin a new transaction, issue Session.rollback() first.
    2017-03-21 12:01:07.310 2712 ERROR panko.storage.impl_sqlalchemy
    2017-03-21 12:01:07.314 2712 ERROR ceilometer.collector [-] Dispatcher failed to handle the notification, re-queuing it.
    2017-03-21 12:01:07.314 2712 ERROR ceilometer.collector Traceback (most recent call last):
    2017-03-21 12:01:07.314 2712 ERROR ceilometer.collector   File "/usr/lib/python2.7/site-packages/ceilometer/collector.py", line 177, in sample
    2017-03-21 12:01:07.314 2712 ERROR ceilometer.collector     self.dispatcher_manager.map_method(self.method, goods)
    2017-03-21 12:01:07.314 2712 ERROR ceilometer.collector   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 282, in map_method
    2017-03-21 12:01:07.314 2712 ERROR ceilometer.collector     method_name, *args, **kwds)
    2017-03-21 12:01:07.314 2712 ERROR ceilometer.collector   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 255, in map
    2017-03-21 12:01:07.314 2712 ERROR ceilometer.collector     self._invoke_one_plugin(response.append, func, e, args, kwds)
    2017-03-21 12:01:07.314 2712 ERROR ceilometer.collector   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 286, in _invoke_one_plugin
    2017-03-21 12:01:07.314 2712 ERROR ceilometer.collector     response_callback(func(e, *args, **kwds))
    2017-03-21 12:01:07.314 2712 ERROR ceilometer.collector   File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 260, in _call_extension_method
    2017-03-21 12:01:07.314 2712 ERROR ceilometer.collector     return getattr(extension.obj, method_name)(*args, **kwds)
    2017-03-21 12:01:07.314 2712 ERROR ceilometer.collector   File "/usr/lib/python2.7/site-packages/panko/dispatcher/database.py", line 68, in record_events
    2017-03-21 12:01:07.314 2712 ERROR ceilometer.collector     self.conn.record_events(event_list)
    2017-03-21 12:01:07.314 2712 ERROR ceilometer.collector   File "/usr/lib/python2.7/site-packages/panko/storage/impl_sqlalchemy.py", line 208, in record_events
    2017-03-21 12:01:07.314 2712 ERROR ceilometer.collector     raise error
    2017-03-21 12:01:07.314 2712 ERROR ceilometer.collector InvalidRequestError: This Session's transaction has been rolled back by a nested rollback() call.  To begin a new transaction, issue Session.rollback() first.
    2017-03-21 12:01:07.314 2712 ERROR ceilometer.collector
    2017-03-21 12:01:10.657 2712 ERROR ceilometer.dispatcher.gnocchi [-] Resource 6aee5f07-86d6-4a09-bff2-1055797b9c5a does not exist (HTTP 404)


Version-Release number of selected component (if applicable):
-------------------------------------------------------------
python-ceilometermiddleware-1.0.0-0.20170208205959.87bd49b.el7ost.noarch
openstack-ceilometer-api-8.0.0-5.el7ost.noarch
openstack-ceilometer-collector-8.0.0-5.el7ost.noarch
openstack-ceilometer-common-8.0.0-5.el7ost.noarch
puppet-ceilometer-10.3.0-1.el7ost.noarch
python-ceilometerclient-2.8.0-0.20170208143627.658d7e2.el7ost.noarch
openstack-ceilometer-notification-8.0.0-5.el7ost.noarch
openstack-ceilometer-polling-8.0.0-5.el7ost.noarch
openstack-ceilometer-central-8.0.0-5.el7ost.noarch
python-ceilometer-8.0.0-5.el7ost.noarch

openstack-panko-common-2.0.1-0.20170302220923.9a9ae04.el7ost.noarch
openstack-panko-api-2.0.1-0.20170302220923.9a9ae04.el7ost.noarch
puppet-panko-10.3.0-0.20170219155735.ff0c94f.el7ost.noarch
python-panko-2.0.1-0.20170302220923.9a9ae04.el7ost.noarch

Comment 2 Julien Danjou 2017-03-28 12:28:17 UTC
This fix will be included in Panko 2.0.2:

https://review.openstack.org/#/c/450758/

Prad, can you make sure the package is updated in Ocata/OSP11?

Comment 3 Pradeep Kilambi 2017-04-03 15:03:23 UTC
panko 2.0.2 built in rdo, moving to post

Comment 5 Sasha Smolyak 2017-04-05 08:20:33 UTC
Checked with openstack-panko-api-2.0.2-1.el7ost.noarch
openstack-panko-common-2.0.2-1.el7ost.noarch
python-panko-2.0.2-1.el7ost.noarch

No errors in log

Comment 6 errata-xmlrpc 2017-05-17 20:11:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.